;********************************************************************
;	TORNADO-E2/6713 Demo Utility.
;	Test for DSP Bootload from FLASH with infinite GPIO-7 pin toggle. rev.1A
;	(C) MicroLAB Systems, 2007
;
;
;	Description:
;	------------
;	This demo boots E2/6713 on-board DSP from FLASH/EPROM to DSP on-chip memory
;	and afterthat continuously toggles GPIO-7 pin.
;
;	Note, that initially booted code from ROM for C6713B cannot exceed 1kbytes,
;	so no C-code is allowed, which initially occupies more than 1KB.
;
;
;	TORNADO platform:
;	-----------------
;	TI CCS tools are required to recompile this demo and MIRAGE JTAG emulator
;	is required to upload code to on-board DSP environment.
;
;	Copyright:
;	----------
;	This demo is distributed free of charge and as it is without
;	any obligation from MicroLAB Systems.
;
;
;	board configuration and demo parameters:
;	----------------------------------------
;	1. On-board configuration switch:
;		  - HPI boot mode
;***********************************************************************
	.text

; program starts from this '0' address
reset:
; keep DSP_GPIO_DIR_RG DSP external control register address in a11
	mvkl  .s1 0xb000006c,a11
	mvkh  .s1 0xb000006c,a11

; keep GPIO pins as outputs setting in a2
	mvk  .s1 0xff,a2

; set GPIO pins as outputs
	stw   .d1  a2,*a11

; keep DSP_GPIO_DATA_RG DSP external control register address in a10
	mvkl  .s1 0xb0000068,a10
	mvkh  .s1 0xb0000068,a10

; keep GPIO-7 = 0 data setting in a0 reg
	mvk  .s1 0x0,a0

; keep GPIO-7 = 1 data setting in a1 reg
	mvk  .s1 0x80,a1

; now enter infinite loop
loop:
	stw   .d1  a1,*a10
	stw   .d1  a0,*a10
	b		loop
	nop

