/****************************************************
	TORNADO-E2/6713 Demo Utility.
	WDT test. rev.1A
	(C) MicroLAB Systems, 2007


	Description:
	------------
	This demo continuously reboots DSP on the WDT expiration. The
	DSP RESET LED will flash with the period about 2 sec.
	This demo can be running only from FLASH because of C6713B DSP bootmodes,
	so user must first run T2E6713_FLASH_BURN.out and then switch BOOTMODE configuration switch
	to FLASH8 boot!


	TORNADO platform:
	-----------------
	This demo does not utilize any host TORNADO resources
	and runs in stand-alone mode. MIRAGE JTAG emulator and
	TI CCS tools are required to recompile this demo and to
	upload code to the on-board DSP environment.

	Copyright:
	----------
	This demo is distributed free of charge and as it is without
	any obligation from MicroLAB Systems.


	Demo and Signal Parameters:
	---------------------------
	1. On-board BOOTMODE configuration switch: FLASH8
*****************************************************/

#define __T2E6XXX_SELECT_E6713__			1
#define __T2E6XXX_EXCLUDE_AUX_FUNCTIONS__	1
#define __C6XXX_EXCLUDE_SET_INTMUX__		1

#include "t2e6xxx_dsp.h"


void main()
{
	T2E6XXX_SET_WDT_EN_ON;
	while (1);
}

