/******************************************************************************
	TMS320C6XXX (C671x/C6416) DSP General Definitions. rev.1A1-6
	(C) MicroLAB Systems Ltd, 2007-2008

	Revision history:
	-----------------
	rev.1A1		- 2007, initial release.
	rev.1A1-5	- 2008, fixed minor bugs.
	rev.1A1-6	- April 2008, fixed error in Cache control macros: L1P and L1D cannot be disabled.

	Notes:
	------
	1.	This C-header file contains aliases for general C6XXX DSP definitions and is include 
		file for TI C6XXX compile tools with C6XXX_DEF.H C-header file.
	2.	This header file can be used only to compile C6416 demos without 
		using legacy C6X_DEF.H header file.

*******************************************************************************/

#ifndef __C6XXX_DEF_ALIASES__				// check for this file has been already included
#define __C6XXX_DEF_ALIASES__				1

#ifdef	__C6XXX_SELECT_C6416_DSP__
#undef	__C6XXX_SELECT_C671X_DSP__
#undef	__C6XXX_SELECT_C6713_DSP__
#undef	__C6X_SELECT_C64XX_DSP__
#define	__C6X_SELECT_C64XX_DSP__			1
#endif

//----------------------------------------------------------------
//============ C6X peripheral regs definitions ===================

//------------ Memory mapped peripheral registers ----------------

//------------ EMIF control RGs ----------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_EMIF_GCR				C6XXX_EMIF_GBLCTL_RG
#define C6X_EMIF_CE0				C6XXX_EMIF_CECTL0_RG
#define C6X_EMIF_CE1				C6XXX_EMIF_CECTL1_RG
#define C6X_EMIF_CE2				C6XXX_EMIF_CECTL2_RG
#define C6X_EMIF_CE3				C6XXX_EMIF_CECTL3_RG
#define C6X_EMIF_SDRAM				C6XXX_EMIF_SDCTL_RG
#define C6X_EMIF_SDRAM_TIMER		C6XXX_EMIF_SDTIM_RG

#define C6X_EMIF_SDRAM_EXT			C6XXX_EMIF_SDEXT_RG
#define C6X_EMIF_CE0_SEC			C6XXX_EMIF_CESEC0_RG
#define C6X_EMIF_CE1_SEC			C6XXX_EMIF_CESEC1_RG
#define C6X_EMIF_CE2_SEC			C6XXX_EMIF_CESEC2_RG
#define C6X_EMIF_CE3_SEC			C6XXX_EMIF_CESEC3_RG

#define C6X_EMIFA_GCR				C6XXX_EMIF_GCR
#define C6X_EMIFA_CE0				C6XXX_EMIF_CE0
#define C6X_EMIFA_CE1				C6XXX_EMIF_CE1
#define C6X_EMIFA_CE2				C6XXX_EMIF_CE2
#define C6X_EMIFA_CE3				C6XXX_EMIF_CE3
#define C6X_EMIFA_SDRAM				C6XXX_EMIF_SDRAM
#define C6X_EMIFA_SDRAM_TIMER		C6XXX_EMIF_SDRAM_TIMER

#define C6X_EMIFA_SDRAM_EXT			C6XXX_EMIF_SDRAM_EXT
#define C6X_EMIFA_CE0_SEC			C6XXX_EMIF_CE0_SEC
#define C6X_EMIFA_CE1_SEC			C6XXX_EMIF_CE1_SEC
#define C6X_EMIFA_CE2_SEC			C6XXX_EMIF_CE2_SEC
#define C6X_EMIFA_CE3_SEC			C6XXX_EMIF_CE3_SEC

#define C64XX_EMIFA_GCR				C6XXX_EMIF_GCR
#define C64XX_EMIFA_CE0				C6XXX_EMIF_CE0
#define C64XX_EMIFA_CE1				C6XXX_EMIF_CE1
#define C64XX_EMIFA_CE2				C6XXX_EMIF_CE2
#define C64XX_EMIFA_CE3				C6XXX_EMIF_CE3
#define C64XX_EMIFA_SDRAM			C6XXX_EMIF_SDRAM
#define C64XX_EMIFA_SDRAM_TIMER		C6XXX_EMIF_SDRAM_TIMER

#define C64XX_EMIFA_SDRAM_EXT		C6XXX_EMIF_SDRAM_EXT
#define C64XX_EMIFA_CE0_SEC			C6XXX_EMIF_CE0_SEC
#define C64XX_EMIFA_CE1_SEC			C6XXX_EMIF_CE1_SEC
#define C64XX_EMIFA_CE2_SEC			C6XXX_EMIF_CE2_SEC
#define C64XX_EMIFA_CE3_SEC			C6XXX_EMIF_CE3_SEC

#define C6X_EMIFB_GCR				C6XXX_EMIFB_GBLCTL_RG
#define C6X_EMIFB_CE0				C6XXX_EMIFB_CECTL0_RG
#define C6X_EMIFB_CE1				C6XXX_EMIFB_CECTL1_RG
#define C6X_EMIFB_CE2				C6XXX_EMIFB_CECTL2_RG
#define C6X_EMIFB_CE3				C6XXX_EMIFB_CECTL3_RG
#define C6X_EMIFB_SDRAM				C6XXX_EMIFB_SDCTL_RG
#define C6X_EMIFB_SDRAM_TIMER		C6XXX_EMIFB_SDTIM_RG

#define C6X_EMIFB_SDRAM_EXT			C6XXX_EMIFB_SDEXT_RG
#define C6X_EMIFB_CE0_SEC			C6XXX_EMIFB_CESEC0_RG
#define C6X_EMIFB_CE1_SEC			C6XXX_EMIFB_CESEC1_RG
#define C6X_EMIFB_CE2_SEC			C6XXX_EMIFB_CESEC2_RG
#define C6X_EMIFB_CE3_SEC			C6XXX_EMIFB_CESEC3_RG

#define C64XX_EMIFB_GCR				C6XXX_EMIFB_GCR
#define C64XX_EMIFB_CE0				C6XXX_EMIFB_CE0
#define C64XX_EMIFB_CE1				C6XXX_EMIFB_CE1
#define C64XX_EMIFB_CE2				C6XXX_EMIFB_CE2
#define C64XX_EMIFB_CE3				C6XXX_EMIFB_CE3
#define C64XX_EMIFB_SDRAM			C6XXX_EMIFB_SDRAM
#define C64XX_EMIFB_SDRAM_TIMER		C6XXX_EMIFB_SDRAM_TIMER

#define C64XX_EMIFB_SDRAM_EXT		C6XXX_EMIFB_SDRAM_EXT
#define C64XX_EMIFB_CE0_SEC			C6XXX_EMIFB_CE0_SEC
#define C64XX_EMIFB_CE1_SEC			C6XXX_EMIFB_CE1_SEC
#define C64XX_EMIFB_CE2_SEC			C6XXX_EMIFB_CE2_SEC
#define C64XX_EMIFB_CE3_SEC			C6XXX_EMIFB_CE3_SEC

#define C6X_EMIF_GBLCTL				C6XXX_EMIF_GCR
#define C6X_EMIF_CE0CTL				C6XXX_EMIF_CE0
#define C6X_EMIF_CE1CTL				C6XXX_EMIF_CE1
#define C6X_EMIF_CE2CTL				C6XXX_EMIF_CE2
#define C6X_EMIF_CE3CTL				C6XXX_EMIF_CE3
#define C6X_EMIF_CE0SEC				C6XXX_EMIF_CE0_SEC
#define C6X_EMIF_CE1SEC				C6XXX_EMIF_CE1_SEC
#define C6X_EMIF_CE2SEC				C6XXX_EMIF_CE2_SEC
#define C6X_EMIF_CE3SEC				C6XXX_EMIF_CE3_SEC
#define C6X_EMIF_SDCTL				C6XXX_EMIF_SDRAM
#define C6X_EMIF_SDTIM				C6XXX_EMIF_SDRAM_TIMER
#define C6X_EMIF_SDEXT				C6XXX_EMIF_SDRAM_EXT

#define C6X_EMIFA_GBLCTL			C6XXX_EMIF_GCR
#define C6X_EMIFA_CE0CTL			C6XXX_EMIF_CE0
#define C6X_EMIFA_CE1CTL			C6XXX_EMIF_CE1
#define C6X_EMIFA_CE2CTL			C6XXX_EMIF_CE2
#define C6X_EMIFA_CE3CTL			C6XXX_EMIF_CE3
#define C6X_EMIFA_CE0SEC			C6XXX_EMIF_CE0_SEC
#define C6X_EMIFA_CE1SEC			C6XXX_EMIF_CE1_SEC
#define C6X_EMIFA_CE2SEC			C6XXX_EMIF_CE2_SEC
#define C6X_EMIFA_CE3SEC			C6XXX_EMIF_CE3_SEC
#define C6X_EMIFA_SDCTL				C6XXX_EMIF_SDRAM
#define C6X_EMIFA_SDTIM				C6XXX_EMIF_SDRAM_TIMER
#define C6X_EMIFA_SDEXT				C6XXX_EMIF_SDRAM_EXT

#define C6X_EMIFB_GBLCTL			C6XXX_EMIFB_GCR
#define C6X_EMIFB_CE0CTL			C6XXX_EMIFB_CE0
#define C6X_EMIFB_CE1CTL			C6XXX_EMIFB_CE1
#define C6X_EMIFB_CE2CTL			C6XXX_EMIFB_CE2
#define C6X_EMIFB_CE3CTL			C6XXX_EMIFB_CE3
#define C6X_EMIFB_CE0SEC			C6XXX_EMIFB_CE0_SEC
#define C6X_EMIFB_CE1SEC			C6XXX_EMIFB_CE1_SEC
#define C6X_EMIFB_CE2SEC			C6XXX_EMIFB_CE2_SEC
#define C6X_EMIFB_CE3SEC			C6XXX_EMIFB_CE3_SEC
#define C6X_EMIFB_SDCTL				C6XXX_EMIFB_SDRAM
#define C6X_EMIFB_SDTIM				C6XXX_EMIFB_SDRAM_TIMER
#define C6X_EMIFB_SDEXT				C6XXX_EMIFB_SDRAM_EXT



//------------ TIMER Control RGs ---------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_TM0_CONTROL				C6XXX_TIMER0_CTL_RG
#define C6X_TM0_PERIOD				C6XXX_TIMER0_PRD_RG
#define C6X_TM0_COUNTER				C6XXX_TIMER0_CNT_RG
#define C6X_TM1_CONTROL				C6XXX_TIMER1_CTL_RG
#define C6X_TM1_PERIOD				C6XXX_TIMER1_PRD_RG
#define C6X_TM1_COUNTER				C6XXX_TIMER1_CNT_RG
#define C6X_TM2_CONTROL				C6XXX_TIMER2_CTL_RG
#define C6X_TM2_PERIOD				C6XXX_TIMER2_PRD_RG
#define C6X_TM2_COUNTER				C6XXX_TIMER2_CNT_RG



//------------ McBSP Registers -----------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_MCBSP0_DRR				C6XXX_MCBSP0_DRR_RG
#define C6X_MCBSP0_DXR				C6XXX_MCBSP0_DXR_RG
#define C6X_MCBSP0_SPCR				C6XXX_MCBSP0_SPCR_RG
#define C6X_MCBSP0_RCR				C6XXX_MCBSP0_RCR_RG
#define C6X_MCBSP0_XCR				C6XXX_MCBSP0_XCR_RG
#define C6X_MCBSP0_SRGR				C6XXX_MCBSP0_SRGR_RG
#define C6X_MCBSP0_MCR				C6XXX_MCBSP0_MCR_RG
#define C6X_MCBSP0_RCER				C6XXX_MCBSP0_RCER_RG
#define C6X_MCBSP0_XCER				C6XXX_MCBSP0_XCER_RG
#define C6X_MCBSP0_PCR				C6XXX_MCBSP0_PCR_RG

#define C6X_MCBSP1_DRR				C6XXX_MCBSP1_DRR_RG
#define C6X_MCBSP1_DXR				C6XXX_MCBSP1_DXR_RG
#define C6X_MCBSP1_SPCR				C6XXX_MCBSP1_SPCR_RG
#define C6X_MCBSP1_RCR				C6XXX_MCBSP1_RCR_RG
#define C6X_MCBSP1_XCR				C6XXX_MCBSP1_XCR_RG
#define C6X_MCBSP1_SRGR				C6XXX_MCBSP1_SRGR_RG
#define C6X_MCBSP1_MCR				C6XXX_MCBSP1_MCR_RG
#define C6X_MCBSP1_RCER				C6XXX_MCBSP1_RCER_RG
#define C6X_MCBSP1_XCER				C6XXX_MCBSP1_XCER_RG
#define C6X_MCBSP1_PCR				C6XXX_MCBSP1_PCR_RG

#define C6X_MCBSP2_DRR				C6XXX_MCBSP2_DRR_RG
#define C6X_MCBSP2_DXR				C6XXX_MCBSP2_DXR_RG
#define C6X_MCBSP2_SPCR				C6XXX_MCBSP2_SPCR_RG
#define C6X_MCBSP2_RCR				C6XXX_MCBSP2_RCR_RG
#define C6X_MCBSP2_XCR				C6XXX_MCBSP2_XCR_RG
#define C6X_MCBSP2_SRGR				C6XXX_MCBSP2_SRGR_RG
#define C6X_MCBSP2_MCR				C6XXX_MCBSP2_MCR_RG
#define C6X_MCBSP2_RCER				C6XXX_MCBSP2_RCER_RG
#define C6X_MCBSP2_XCER				C6XXX_MCBSP2_XCER_RG
#define C6X_MCBSP2_PCR				C6XXX_MCBSP2_PCR_RG

#define C6X_MCBSP0_RCERE1			C6XXX_MCBSP0_RCERE1_RG
#define C6X_MCBSP0_XCERE1			C6XXX_MCBSP0_XCERE1_RG
#define C6X_MCBSP0_RCERE2			C6XXX_MCBSP0_RCERE2_RG
#define C6X_MCBSP0_XCERE2			C6XXX_MCBSP0_XCERE2_RG
#define C6X_MCBSP0_RCERE3			C6XXX_MCBSP0_RCERE3_RG
#define C6X_MCBSP0_XCERE3			C6XXX_MCBSP0_XCERE3_RG

#define C6X_MCBSP1_RCERE1			C6XXX_MCBSP1_RCERE1_RG
#define C6X_MCBSP1_XCERE1			C6XXX_MCBSP1_XCERE1_RG
#define C6X_MCBSP1_RCERE2			C6XXX_MCBSP1_RCERE2_RG
#define C6X_MCBSP1_XCERE2			C6XXX_MCBSP1_XCERE2_RG
#define C6X_MCBSP1_RCERE3			C6XXX_MCBSP1_RCERE3_RG
#define C6X_MCBSP1_XCERE3			C6XXX_MCBSP1_XCERE3_RG

#define C6X_MCBSP2_RCERE1			C6XXX_MCBSP2_RCERE1_RG
#define C6X_MCBSP2_XCERE1			C6XXX_MCBSP2_XCERE1_RG
#define C6X_MCBSP2_RCERE2			C6XXX_MCBSP2_RCERE2_RG
#define C6X_MCBSP2_XCERE2			C6XXX_MCBSP2_XCERE2_RG
#define C6X_MCBSP2_RCERE3			C6XXX_MCBSP2_RCERE3_RG
#define C6X_MCBSP2_XCERE3			C6XXX_MCBSP2_XCERE3_RG



//------------ HPI registers -------------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_HPIC					C6XXX_HPIC_RG

#define C6X_HPIAW					C6XXX_HPIAW_RG
#define C6X_HPIAR					C6XXX_HPIAR_RG



//------------ INT specific registers ----------------------------
	// Aliases for old C6X defs compatibility
#define C6X_INTMUX_HIGH				C6XXX_INT_MUXH_RG
#define C6X_INTMUX_LOW				C6XXX_INT_MUXL_RG
#define C6X_XINT_POLARITY			C6XXX_INT_EXTPOL_RG



//------------ EDMA control registers ----------------------------
	// Aliases for old C6X defs compatibility
#define C6X_EDMA_ER					C6XXX_EDMA_ER_RG
#define C6X_EDMA_ERL				C6XXX_EDMA_ERL_RG
#define C6X_EDMA_ERH				C6XXX_EDMA_ERH_RG
	
#define C6X_EDMA_EER				C6XXX_EDMA_EER_RG
#define C6X_EDMA_EERL				C6XXX_EDMA_EERL_RG
#define C6X_EDMA_EERH				C6XXX_EDMA_EERH_RG

#define C6X_EDMA_ECR				C6XXX_EDMA_ECR_RG
#define C6X_EDMA_ECRL				C6XXX_EDMA_ECRL_RG
#define C6X_EDMA_ECRH				C6XXX_EDMA_ECRH_RG

#define C6X_EDMA_ESR				C6XXX_EDMA_ESR_RG
#define C6X_EDMA_ESRL				C6XXX_EDMA_ESRL_RG
#define C6X_EDMA_ESRH				C6XXX_EDMA_ESRH_RG

#define C6X_EDMA_EPR				C6XXX_EDMA_EPR_RG
#define C6X_EDMA_EPRL				C6XXX_EDMA_EPRL_RG
#define C6X_EDMA_EPRH				C6XXX_EDMA_EPRH_RG

#define C6X_EDMA_CIER				C6XXX_EDMA_CIER_RG
#define C6X_EDMA_CIERL				C6XXX_EDMA_CIERL_RG
#define C6X_EDMA_CIERH				C6XXX_EDMA_CIERH_RG

#define C6X_EDMA_CIPR				C6XXX_EDMA_CIPR_RG
#define C6X_EDMA_CIPRL				C6XXX_EDMA_CIPRL_RG
#define C6X_EDMA_CIPRH				C6XXX_EDMA_CIPRH_RG

#define C6X_EDMA_CCER				C6XXX_EDMA_CCER_RG
#define C6X_EDMA_CCERL				C6XXX_EDMA_CCERL_RG
#define C6X_EDMA_CCERH				C6XXX_EDMA_CCERH_RG

#define C6X_EDMA_PQSR				C6XXX_EDMA_PQSR_RG

#define C6X_EDMA_PQAR0				C6XXX_EDMA_PQAR0_RG
#define C6X_EDMA_PQAR1				C6XXX_EDMA_PQAR1_RG
#define C6X_EDMA_PQAR2				C6XXX_EDMA_PQAR2_RG
#define C6X_EDMA_PQAR3				C6XXX_EDMA_PQAR3_RG

#define C6X_EDMA_ESEL0				C6XXX_EDMA_ESEL0_RG
#define C6X_EDMA_ESEL1				C6XXX_EDMA_ESEL1_RG
#define C6X_EDMA_ESEL3				C6XXX_EDMA_ESEL3_RG

#define C6X_EDMA_ORG(ch)			C6XXX_EDMA_OPT_RG(ch)
#define C6X_EDMA_SARG(ch)			C6XXX_EDMA_SRC_RG(ch)
#define C6X_EDMA_CRG(ch)			C6XXX_EDMA_CNT_RG(ch)
#define C6X_EDMA_DARG(ch)			C6XXX_EDMA_DST_RG(ch)
#define C6X_EDMA_IRG(ch)			C6XXX_EDMA_IDX_RG(ch)
#define C6X_EDMA_RLRG(ch)			C6XXX_EDMA_RLD_RG(ch)

typedef	struct
{
	unsigned		opt;
	unsigned		src_addr;
	unsigned short	element_count;
	unsigned short	array_frame_count;
	unsigned		dst_addr;
	unsigned short	element_index;
	unsigned short	array_frame_index;
	unsigned short	link_addr;
	unsigned short	element_count_reload;
}
C6X_EDMA_CH_DD;



//------------ Cache control registers ---------------------------
	// Aliases for old C6X defs compatibility
#define C6X_CCFG					C6XXX_CCFG_RG
#define C6X_L2ALLOC0				C6XXX_L2ALLOC0_RG
#define C6X_L2ALLOC1				C6XXX_L2ALLOC1_RG
#define C6X_L2ALLOC2				C6XXX_L2ALLOC2_RG
#define C6X_L2ALLOC3				C6XXX_L2ALLOC3_RG
#define C6X_L2FBAR					C6XXX_L2FBAR_RG
#define C6X_L2FWC					C6XXX_L2FWC_RG
#define C6X_L2CBAR					C6XXX_L2CBAR_RG
#define C6X_L2CWC					C6XXX_L2CWC_RG
#define C6X_L1PFBAR					C6XXX_L1PFBAR_RG
#define C6X_L1PFWC					C6XXX_L1PFWC_RG
#define C6X_L1DFBAR					C6XXX_L1DFBAR_RG
#define C6X_L1DFWC					C6XXX_L1DFWC_RG
#define C6X_L2FLUSH					C6XXX_L2FLUSH_RG
#define C6X_L2CLEAN					C6XXX_L2CLEAN_RG



//------------ On-chip GPIO control registers --------------------
	// Aliases for old C6X defs compatibility
#define C6X_GPEN					C6XXX_GPEN_RG
#define C6X_GPDIR					C6XXX_GPDIR_RG
#define C6X_GPVAL					C6XXX_GPVAL_RG
#define C6X_GPDH					C6XXX_GPDH_RG
#define C6X_GPHM					C6XXX_GPHM_RG
#define C6X_GPDL					C6XXX_GPDL_RG
#define C6X_GPLM					C6XXX_GPLM_RG
#define C6X_GPGC					C6XXX_GPGC_RG
#define C6X_GPPOL					C6XXX_GPPOL_RG



//------------ C64xx DEVICE_REV register -------------------------
	// Aliases for old C6X defs compatibility
#define C6X_DEVICE_REV				C6XXX_DEVICE_REV_RG
//----------------------------------------------------------------

//------------ C621x/C671x/C64xx cache control registers ---------
	// Aliases for old C6X defs compatibility
#define C6X_MAR(n)					C6XXX_MAR_RG(n)
//----------------------------------------------------------------


//============ C6XXX HPIC register bits defs =====================
	// Aliases for old C6X defs compatibility
#define C6X_HPIC_DSPINT_BITMASK		C6XXX_HPIC_DSPINT_BITMASK



//------------ Cache control macros ------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_SET_L1P_CACHE_INVALIDATE	C6XXX_SET_L1P_CACHE_INVALIDATE
#define C6X_SET_L1P_CACHE_NORMAL		C6XXX_SET_L1P_CACHE_NORMAL

#define C6X_SET_L1D_CACHE_INVALIDATE	C6XXX_SET_L1D_CACHE_INVALIDATE
#define C6X_SET_L1D_CACHE_NORMAL		C6XXX_SET_L1D_CACHE_NORMAL

#define C6X_GET_L2_CACHE_MODE			C6XXX_GET_L2_CACHE_MODE
#define C6X_SET_L2_CACHE_MODE(mode)		C6XXX_SET_L2_CACHE_MODE(mode)
//----------------------------------------------------------------
#define C6X_L2_CACHE_MODE_NO_CACHE		C6XXX_L2_CACHE_MODE_NO_CACHE
#define C6X_L2_CACHE_MODE_1_32_CACHE	C6XXX_L2_CACHE_MODE_1_32_CACHE
#define C6X_L2_CACHE_MODE_1_16_CACHE	C6XXX_L2_CACHE_MODE_1_16_CACHE
#define C6X_L2_CACHE_MODE_1_8_CACHE		C6XXX_L2_CACHE_MODE_1_8_CACHE
#define C6X_L2_CACHE_MODE_1_4_CACHE		C6XXX_L2_CACHE_MODE_1_4_CACHE



//------------ IRQ control ---------------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_GINT_DISABLE			C6XXX_SET_GINT_ENABLE_OFF
#define C6X_GINT_ENABLE				C6XXX_SET_GINT_ENABLE_ON
#define C6X_NMI_ENABLE				C6XXX_SET_NMI_ENABLE_ON
#define C6X_PGINT_ENABLE			C6XXX_SET_PGINT_ENABLE_ON
#define C6X_PGINT_DISABLE			C6XXX_SET_PGINT_ENABLE_OFF

#define C6X_INT_CLEAR_ALL			C6XXX_SET_INT_OFF_ALL

#define C6X_INT_CLEAR(n)			C6XXX_SET_INT_OFF(n)
#define C6X_INT_SET(n)				C6XXX_SET_INT_ON(n)

#define C6X_INT_ENABLE(n)			C6XXX_SET_INT_ENABLE_ON(n)
#define C6X_INT_DISABLE(n)			C6XXX_SET_INT_ENABLE_OFF(n)
#define C6X_INT_DISABLE_ALL			C6XXX_SET_INT_ENABLE_OFF_ALL

#define C6X_INTMUX_SET(i,x)			C6XXX_SET_INTMUX(i,x)

	// INT selector codes for INT-MUX mapping
#define C6X_INTSEL_DSPINT			C6XXX_INTSEL_DSPINT
#define C6X_INTSEL_TINT0			C6XXX_INTSEL_TINT0
#define C6X_INTSEL_TINT1			C6XXX_INTSEL_TINT1
#define C6X_INTSEL_SDINT			C6XXX_INTSEL_SDINT
#define C6X_INTSEL_SDINTA			C6XXX_INTSEL_SDINTA
#define C6X_INTSEL_XINT4			C6XXX_INTSEL_XINT4
#define C6X_INTSEL_GPINT4			C6XXX_INTSEL_GPINT4
#define C6X_INTSEL_XINT5			C6XXX_INTSEL_XINT5
#define C6X_INTSEL_GPINT5			C6XXX_INTSEL_GPINT5
#define C6X_INTSEL_XINT6			C6XXX_INTSEL_XINT6
#define C6X_INTSEL_GPINT6			C6XXX_INTSEL_GPINT6
#define C6X_INTSEL_XINT7			C6XXX_INTSEL_XINT7
#define C6X_INTSEL_GPINT7			C6XXX_INTSEL_GPINT7
#define C6X_INTSEL_DMA0				C6XXX_INTSEL_DMA0
#define C6X_INTSEL_EDMA				C6XXX_INTSEL_EDMA
#define C6X_INTSEL_DMA1				C6XXX_INTSEL_DMA1
#define C6X_INTSEL_EMUDTDMA			C6XXX_INTSEL_EMUDTDMA
#define C6X_INTSEL_DMA2				C6XXX_INTSEL_DMA2
#define C6X_INTSEL_EMURTDXRX		C6XXX_INTSEL_EMURTDXRX
#define C6X_INTSEL_DMA3				C6XXX_INTSEL_DMA3
#define C6X_INTSEL_EMURTDXTX		C6XXX_INTSEL_EMURTDXTX
#define C6X_INTSEL_MCBSP0_XINT		C6XXX_INTSEL_MCBSP0_XINT
#define C6X_INTSEL_MCBSP0_RINT		C6XXX_INTSEL_MCBSP0_RINT
#define C6X_INTSEL_MCBSP1_XINT		C6XXX_INTSEL_MCBSP1_XINT
#define C6X_INTSEL_MCBSP1_RINT		C6XXX_INTSEL_MCBSP1_RINT
#define C6X_INTSEL_GPINT0			C6XXX_INTSEL_GPINT0
#define C6X_INTSEL_MCBSP2_XINT		C6XXX_INTSEL_MCBSP2_XINT
#define C6X_INTSEL_MCBSP2_RINT		C6XXX_INTSEL_MCBSP2_RINT
#define C6X_INTSEL_TINT2			C6XXX_INTSEL_TINT2
#define C6X_INTSEL_SDINTB			C6XXX_INTSEL_SDINTB
#define C6X_INTSEL_C64XX_PCI_WAKEUP	C6XXX_INTSEL_C6416_PCI_WAKEUP
#define C6X_INTSEL_I2CINT0			C6XXX_INTSEL_I2CINT0
#define C6X_INTSEL_UINT				C6XXX_INTSEL_UINT
#define C6X_INTSEL_I2CINT1			C6XXX_INTSEL_I2CINT1
#define C6X_INTSEL_AXINT0			C6XXX_INTSEL_AXINT0
#define C6X_INTSEL_ARINT0			C6XXX_INTSEL_ARINT0
#define C6X_INTSEL_AXINT1			C6XXX_INTSEL_AXINT1
#define C6X_INTSEL_ARINT1			C6XXX_INTSEL_ARINT1


#define C6X_XINT_POLARITY_POS		C6XXX_XINT_POLARITY_POS
#define C6X_XINT_POLARITY_NEG		C6XXX_XINT_POLARITY_NEG
#define C6X_XINT4					C6XXX_XINT4
#define C6X_XINT5					C6XXX_XINT5
#define C6X_XINT6					C6XXX_XINT6
#define C6X_XINT7					C6XXX_XINT7

#define C6X_SET_XINT_POLARITY(i,p)		C6XXX_SET_XINT_POLARITY(i,p)
#define C6X_SET_XINT_POLARITY_ALL(p)	C6XXX_SET_XINT_POLARITY_ALL(p)



//------------ GPIO control --------------------------------------
	// Aliases for old C6X defs compatibility
#define C6X_GPIO_ENABLE_OFF			C6XXX_GPIO_ENABLE_OFF
#define C6X_GPIO_ENABLE_ON			C6XXX_GPIO_ENABLE_ON

#define C6X_GPIO_DIR_INPUT			C6XXX_GPIO_DIR_INPUT
#define C6X_GPIO_DIR_OUTPUT			C6XXX_GPIO_DIR_OUTPUT

#define C6X_GPIO_DATA_OFF			C6XXX_GPIO_DATA_OFF
#define C6X_GPIO_DATA_ON			C6XXX_GPIO_DATA_ON

#define C6X_GPIO_DELTA_OFF			C6XXX_GPIO_DELTA_OFF
#define C6X_GPIO_DELTA_ON			C6XXX_GPIO_DELTA_ON

#define C6X_GPIO_MASK_OFF			C6XXX_GPIO_MASK_OFF
#define C6X_GPIO_MASK_ON			C6XXX_GPIO_MASK_ON

#define C6X_SET_GPIO_ENABLE(i,v)	C6XXX_SET_GPIO_ENABLE(i,v)
#define C6X_GET_GPIO_ENABLE(i)		C6XXX_GET_GPIO_ENABLE(i)

#define C6X_SET_GPIO_DIR(i,v)		C6XXX_SET_GPIO_DIR(i,v)
#define C6X_GET_GPIO_DIR(i)			C6XXX_GET_GPIO_DIR(i)

#define C6X_SET_GPIO_DATA(i,v)		C6XXX_SET_GPIO_DATA(i,v)
#define C6X_GET_GPIO_DATA(i)		C6XXX_GET_GPIO_DATA(i)

#define C6X_CLEAR_GPIO_DH(i)		C6XXX_CLEAR_GPIO_DH(i)
#define C6X_GET_GPIO_DH(i)			C6XXX_GET_GPIO_DH(i)

#define C6X_CLEAR_GPIO_DL(i)		C6XXX_CLEAR_GPIO_DL(i)
#define C6X_GET_GPIO_DL(i)			C6XXX_GET_GPIO_DL(i)

#define C6X_SET_GPIO_HM(i,v)		C6XXX_SET_GPIO_HM(i,v)
#define C6X_GET_GPIO_HM(i)			C6XXX_GET_GPIO_HM(i)

#define C6X_SET_GPIO_LM(i,v)		C6XXX_SET_GPIO_LM(i,v)
#define C6X_GET_GPIO_LM(i)			C6XXX_GET_GPIO_LM(i)

#define C6X_SET_GPIO_ENABLE_RG(v)	C6XXX_SET_GPIO_ENABLE_RG(v)
#define C6X_GET_GPIO_ENABLE_RG()	C6XXX_GET_GPIO_ENABLE_RG()

#define C6X_SET_GPIO_DIR_RG(v)		C6XXX_SET_GPIO_DIR_RG(v)
#define C6X_GET_GPIO_DIR_RG()		C6XXX_GET_GPIO_DIR_RG()

#define C6X_SET_GPIO_DATA_RG(v)		C6XXX_SET_GPIO_DATA_RG(v)
#define C6X_GET_GPIO_DATA_RG()		C6XXX_GET_GPIO_DATA_RG()

#define C6X_SET_GPIO_DH_RG(v)		C6XXX_SET_GPIO_DH_RG(v)
#define C6X_GET_GPIO_DH_RG()		C6XXX_GET_GPIO_DH_RG()

#define C6X_SET_GPIO_DL_RG(v)		C6XXX_SET_GPIO_DL_RG(v)
#define C6X_GET_GPIO_DL_RG()		C6XXX_GET_GPIO_DL_RG()

#define C6X_SET_GPIO_HM_RG(v)		C6XXX_SET_GPIO_HM_RG(v)
#define C6X_GET_GPIO_HM_RG()		C6XXX_GET_GPIO_HM_RG()

#define C6X_SET_GPIO_LM_RG(v)		C6XXX_SET_GPIO_LM_RG(v)
#define C6X_GET_GPIO_LM_RG()		C6XXX_GET_GPIO_LM_RG()

#define C6X_SET_GPIO_GC_RG(v)		C6XXX_SET_GPIO_GC_RG(v)
#define C6X_GET_GPIO_GC_RG()		C6XXX_GET_GPIO_GC_RG()

#define C6X_SET_GPIO_POL_RG(v)		C6XXX_SET_GPIO_POL_RG(v)
#define C6X_GET_GPIO_POL_RG()		C6XXX_GET_GPIO_POL_RG()

//================================================================
#endif

